# For more information, please refer to https://aka.ms/vscode-docker-python
FROM python:3.8-slim-buster

EXPOSE 5000

# Keeps Python from generating .pyc files in the container
ENV PYTHONDONTWRITEBYTECODE=1

# Turns off buffering for easier container logging
ENV PYTHONUNBUFFERED=1

# Set the working directory for any subsequent commands to the app directory
WORKDIR /app

# Expose a voume for the app directory
VOLUME /app

# install pipenv for generating pipfile for deploy
RUN pip install pipenv
